TIME_DECODE(1)

NAME
time_decode - timestamp decoder and converter

DESCRIPTION
Time Decoder and Converter v10.3.1 - supporting 68 timestamps!

Some timestamps are only part of the entire value, and as such, full timestamps may not be generated based on only the date/time portion.

  options:

-h, --help
    show this help message and exit

--csv [SRC_FILE TS_FORMAT <column-number> ...]
    Process a csv/txt file with timestamps and convert them to the selected timestamp Requires a timestamp format be provided without --. ie. 'unixsec' vice '--unixsec'. You can also provide a column number if your input file contains multiple columns.

--date-format FORMAT_NAME
    Changes the output format of a date/time value. Use the NAME for the format provided. Use --date-formats to see all available options.

--date-formats
    Displays available date formats for the output of a date/time value

--formats [ARGUMENT]
    Display timestamp format and example by providing an available argument (without --). If no argument is selected, all will be displayed.

--guess TIMESTAMP
    Guess the timestamp format and output possibilities

--gui, -g
    Launch the gui

--minimal, -m
    Output only the timestamp, not the description

--to
    Convert a date/time to a selected timestamp format

--timestamp [DATE]
    Convert date to every timestamp Enter date as "YYYY-MM-DD HH:MM:SS.f" in 24h fmt Without a provided DATE, it will convert the current UTC date/time

--timezones
    Prints a list of timezones to use for conversion

--tz TIMEZONE_NAME
    Provide the name of a timezone for conversion within quotes. Use --timezones to see a list.

--active
    Active Directory/LDAP

--apache
    Apache Cookie Hex time

--biome64
    Apple Biome 64-bit decimal

--biomehex
    Apple Biome Hex time

--nsdate
    Apple NSDate - All

--bplist
    Apple NSDate - bplist / Cocoa

--iostime
    Apple NSDate - iOS 11+

--mac
    Apple NSDate - Mac Absolute

--bcd
    Binary Coded Decimal

--bitdate
    BitDate time

--bitdec
    Bitwise Decimal time

--dhcp6
    DHCPv6 DUID time

--discord
    Discord time

--dvr
    DVR (WFS / DHFS) File System

--exfat
    exFAT time

--fat
    FAT Date + Time

--gbound
    GMail Boundary time

--gmsgid
    GMail Message ID time

--chrome
    Google Chrome

--eitime
    Google EI time

--gclid
    Google GCLID time

--ved
    Google VED time

--gps
    GPS time

--gsm
    GSM time

--hfsbe
    HFS / HFS+ 32-bit Hex BE

--hfsle
    HFS / HFS+ 32-bit Hex LE

--hfsdec
    HFS+ Decimal Time

--logtime
    JET LogTime

--juliandec
    Julian Date decimal

--julianhex
    Julian Date hex

--ksalnum
    KSUID Alpha-numeric

--ksdec
    KSUID Decimal

--leb128hex
    LEB128 Hex time

--linkedin
    LinkedIn Activity time

--mastodon
    Mastodon time

--metasploit
    Metasploit Payload UUID

--dotnet
    Microsoft .NET DateTime Ticks

--systemtime
    Microsoft 128-bit SYSTEMTIME

--dttm
    Microsoft DTTM Date

--ms1904
    Microsoft Excel 1904 Date

--hotmail
    Microsoft Hotmail time

--msdos
    Microsoft MS-DOS 32-bit Hex

--moto
    Motorola time

--prtime
    Mozilla PRTime

--nokia
    Nokia time

--ns40
    Nokia S40 time

--ns40le
    Nokia S40 time LE

--nokiale
    Nokia time LE

--s32
    S32 Encoded (Bluesky) time

--semioctet
    Semi-Octet decimal

--sony
    Sonyflake time

--symantec
    Symantec AV time

--tiktok
    TikTok time

--twitter
    Twitter time

--ulid
    ULID time

--unixhex32be
    Unix Hex 32-bit BE

--unixhex32le
    Unix Hex 32-bit LE

--unixmilli
    Unix Milliseconds

--unixmillihex
    Unix Milliseconds hex

--unixsec
    Unix Seconds

--uuid
    UUID time

--vm
    VMSD time

--cookie
    Windows Cookie Date

--filetimelohi
    Windows FILETIME (Low|High)

--filetimebe
    Windows FILETIME BE

--filetimele
    Windows FILETIME LE

--olebe
    Windows OLE 64-bit hex BE

--olele
    Windows OLE 64-bit hex LE

--oleauto
    Windows OLE Automation Date

--version, -v
    show program's version number and exit